package com.nokia.tsl_data;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.tsl_data.dao.TslDao;
import com.nokia.tsl_data.service.TslTaskService;

@SpringBootTest
public class TslDataApplicationTest {

    @Autowired
    private TslTaskService taskService;

    @Test
    void test() throws IOException {
        taskService.reportGenerateTask("20230502");
        taskService.screenShotTask("20230502");
    }

    @Autowired
    private TslDao tslDao;

    @Test
    void test1() {
        List<Map<String, Object>> selectUserCountForMonth = tslDao.selectUserCountForMonth("202305");
        System.out.println(selectUserCountForMonth);
    }
}
